Package Details: gdal-grass 3.0.4-1

Git Clone URL: https://aur.archlinux.org/gdal-grass.git (read-only, click to copy)
Package Base: gdal-grass
Description: GRASS raster and vector format support for GDAL >= 3.0.4.
Upstream URL: http://www.gdal.org
Licenses: X11/MIT
Submitter: czk
Maintainer: czk
Last Packager: czk
Votes: 2
Popularity: 0.000016
First Submitted: 2016-04-08 14:35
Last Updated: 2020-03-22 09:30

Latest Comments

1 2 Next › Last »

kikislater commented on 2020-03-22 09:47

Thank you for update !

guiba commented on 2019-07-02 07:41

gdal is on 3.x version. Is time to update gdal-grass to 3.x as well?

guiba commented on 2019-06-24 23:35

QGIS 3.4.9-Madeira now works properly with GRASS (Processing and Plugin).

czk commented on 2019-06-12 06:33

@guiba

guiba flagged gdal-grass out-of-date on 2019-06-12 for the following reason:

Is there already the version 3.0.0.

Yes, but in Arch repos the version is 2.4.1. gdal-grass version in general should match the gdal version. Please use your out-of-date button wisely :).

guiba commented on 2019-06-11 16:32

the GRASS from GitHub doesn't properly works with QGIS-LTR 3.4.8-1. It does't appear as a plugin.

kikislater commented on 2019-06-07 06:55

Problem is upstream package. If you install grass then build qgis from community pkgbuild, there is no problem

guiba commented on 2019-06-07 05:46

I can't use this with https://github.com/czka/AUR-grass7 anymore. GRASS doesn't appear as a plugin on QGIS 3.4.8-1.

dreieck commented on 2019-03-21 21:06

I get a compilation problem related to -fPIC (-fPIC is in my CFLAGS and CXXFLAGS):

[...]
g++ -Wall -fPIC -DUSE_CPL -DGRASS_GISBASE=\"/opt/grass\" -I/usr/include -I/opt/grass/include   -O3 -g0 -march=native -ftree-vectorize -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -fomit-frame-pointer -Wl,-z,relro,-z,now -D_FORTIFY_SOURCE=2 -fPIC -pie -fPIE -fstack-protector  -c -o grass57dataset.o grass57dataset.cpp
g++ -shared  -Wl,-O1,-z,relro,-z,now,--strip-all,--as-needed,--relax,--sort-common,--hash-style=gnu grass57dataset.o -L/opt/grass/lib -lgrass_vector -lgrass_dig2 -lgrass_dgl -lgrass_rtree -lgrass_linkm -lgrass_dbmiclient -lgrass_dbmibase -lgrass_raster -lgrass_imagery -lgrass_gproj -lgrass_gmath -lgrass_gis -lgrass_datetime -lgrass_btree2 -lgrass_ccmath -L/usr/lib -lgdal  -o gdal_GRASS.so
/sbin/ld: grass57dataset.o: relocation R_X86_64_PC32 against symbol `_ZTV15GRASSRasterBand' can not be used when making a shared object; recompile with -fPIC
/sbin/ld: final link failed: bad value
collect2: error: ld returned 1 exit status
make: *** [Makefile:37: gdal_GRASS.so] Error 1
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Makepkg was unable to build gdal-grass.

czk commented on 2019-01-30 17:33

Kunda flagged gdal-grass out-of-date on 2019-01-30 for the following reason:
http://download.osgeo.org/gdal/2.4.0/gdal-grass-2.4.0.tar.gz

@Kunda

This release requires gdal 2.4.0. The latest gdal version in Arch repos is community/gdal 2.3.2-8. For a similar reason I have skipped http://download.osgeo.org/gdal/2.3.3/gdal-grass-2.3.3.tar.gz.

dreieck commented on 2018-01-22 21:30

@czk: Also, grass from the AUR can be built with more options enabled ... seems to be the same upstream source ... so a custimizepkg-hook to grass would do it as well ;).

Maybe you can address the maintainer of 'grass' with your improvement suggestions?